package de.fraunhofer.iem.dataprovider.configuration

object ApiPaths {
    private const val BASE = "/api"

    private const val GITLAB = "$BASE/gitlab"
    const val OPENCODE_REPO_CHANGED = "$GITLAB/opencode/repoChanged"

    const val REPOSITORY = "$BASE/repository"
    const val REPOSITORY_SCORE_CARD = "$BASE/repository/scorecard"
    const val SCORE_CARD_BY_REPOSITORY_ID = "$BASE/repository/{id}/scorecard"
    const val RAW_KPI_BY_REPOSITORY_ID = "$BASE/repository/{id}/rawkpi"
    const val KPI_BY_REPOSITORY_ID = "$BASE/repository/{id}/kpi"

    const val REPOSITORY_ID = "$REPOSITORY/{id}"
    const val REPOSITORY_TOOLS = "$REPOSITORY/{id}/tools"
}
